# Command: testsuite::test_gap_junction

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_gap_junction - Ensure that gap_junction connection can only be created between neurons which support them.

Synopsis:

    (test_gap_junction) run -> NEST exits if test fails

Description:

      Ensure that NEST throws an exception if one tries to create illegal gap-junction connections.
      Furthermore it is checked that the delay cannot be set for gap-junction connections.

Author:

    Jan Hahne, October 2015

SeeAlso:

- testsuite::test_hh_psc_alpha_gap
- hh_psc_alpha_gap
- gap_junction

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/testsuite/unittests/test_gap_junction.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative